List Triggers
curl --request POST \
--url https://api.mixpeek.com/v1/triggers/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_id": "<string>",
"offset": 0,
"limit": 50,
"sort_by": "created_at",
"direction": "desc"
}
'import requests
url = "https://api.mixpeek.com/v1/triggers/list"
payload = {
"resource_id": "<string>",
"offset": 0,
"limit": 50,
"sort_by": "created_at",
"direction": "desc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resource_id: '<string>',
offset: 0,
limit: 50,
sort_by: 'created_at',
direction: 'desc'
})
};
fetch('https://api.mixpeek.com/v1/triggers/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"namespace_id": "<string>",
"internal_id": "<string>",
"action_config": {},
"schedule_config": {},
"trigger_id": "<string>",
"status": "active",
"last_triggered_at": "2023-11-07T05:31:56Z",
"last_execution_task_id": "<string>",
"next_scheduled_at": "2023-11-07T05:31:56Z",
"execution_count": 0,
"consecutive_failures": 0,
"last_execution_status": "<string>",
"last_execution_error": "<string>",
"event_counter": 0,
"last_cooldown_at": "2023-11-07T05:31:56Z",
"baseline_snapshot": {},
"last_drift_measurement": {},
"last_volume_measurement": {},
"last_condition_check_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
],
"total": 123,
"offset": 123,
"limit": 123
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Triggers
List Triggers
List triggers with filters and pagination.
Filters:
action_type: Filter by action type (cluster, taxonomy_enrichment)trigger_type: Filter by trigger type (cron, interval, event, conditional)status: Filter by status (active, paused, disabled, failed)resource_id: Filter by resource ID (cluster_id or taxonomy_id)
POST
/
v1
/
triggers
/
list
List Triggers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to list triggers with filters.
Filter by action type
Available options:
cluster, taxonomy_enrichment, batch_rerun, collection_trigger Filter by trigger type
Available options:
cron, interval, event, conditional Filter by status
Available options:
active, paused, disabled, failed Filter by resource ID (cluster_id or taxonomy_id)
Pagination offset
Required range:
x >= 0Results per page
Required range:
1 <= x <= 1000Field to sort by
Sort direction (asc/desc)
Was this page helpful?
⌘I

